Milter.sgmllib.TestSGMLParser Class Reference
Inheritance diagram for Milter.sgmllib.TestSGMLParser:

## Public Member Functions

| __init__ (self, verbose=0)
| handle_data (self, data)
| flush (self)
| handle_comment (self, data)
| unknown_starttag (self, tag, attrs)
| unknown_endtag (self, tag)
| unknown_entityref (self, ref)
| unknown_charref (self, ref)
| unknown_decl (self, data)
| close (self)
Public Member Functions inherited from Milter.sgmllib.SGMLParser
| __init__ (self, verbose=0)
| reset (self)
| setnomoretags (self)
| setliteral (self, *args)
| feed (self, data)
| error (self, message)
| goahead (self, end)
| parse_pi (self, i)
| get_starttag_text (self)
| parse_starttag (self, i)
| parse_endtag (self, i)
| finish_shorttag (self, tag, data)
| finish_starttag (self, tag, attrs)
| finish_endtag (self, tag)
| handle_starttag (self, tag, method, attrs)
| handle_endtag (self, tag, method)
| report_unbalanced (self, tag)
| convert_charref (self, name)
| convert_codepoint (self, codepoint)
| handle_charref (self, name)
| convert_entityref (self, name)
| handle_entityref (self, name)
| handle_decl (self, decl)
| handle_pi (self, data)

## Public Attributes

str | testdata = ""
Public Attributes inherited from Milter.sgmllib.SGMLParser
| verbose = verbose
str | rawdata = ''
list | stack = []
str | lasttag = '???'
int | nomoretags = 0
int | literal = 0

## Additional Inherited Members

Static Public Attributes inherited from Milter.sgmllib.SGMLParser
| entity_or_charref
dict | entitydefs
Protected Member Functions inherited from Milter.sgmllib.SGMLParser
| _convert_ref (self, match)
Static Protected Attributes inherited from Milter.sgmllib.SGMLParser
str | _decl_otherchars = '='

## Member Function Documentation

## close()

Milter.sgmllib.TestSGMLParser.close | ( |  | self | ) |

    Handle the remaining data.

Reimplemented from Milter.sgmllib.SGMLParser.

References flush().

Referenced by Milter.test.TestBase.connect(), and Milter.test.TestBase.feedFile().

## handle_comment()

Milter.sgmllib.TestSGMLParser.handle_comment | ( |  | self,
|  |  | data )

Reimplemented from Milter.sgmllib.SGMLParser.

## handle_data()

Milter.sgmllib.TestSGMLParser.handle_data | ( |  | self,
|  |  | data )

Reimplemented from Milter.sgmllib.SGMLParser.

## unknown_charref()

Milter.sgmllib.TestSGMLParser.unknown_charref | ( |  | self,
|  |  | ref )

Reimplemented from Milter.sgmllib.SGMLParser.

## unknown_endtag()

Milter.sgmllib.TestSGMLParser.unknown_endtag | ( |  | self,
|  |  | tag )

Reimplemented from Milter.sgmllib.SGMLParser.

## unknown_entityref()

Milter.sgmllib.TestSGMLParser.unknown_entityref | ( |  | self,
|  |  | ref )

Reimplemented from Milter.sgmllib.SGMLParser.

## unknown_starttag()

Milter.sgmllib.TestSGMLParser.unknown_starttag | ( |  | self,
|  |  | tag,
|  |  | attrs )

Reimplemented from Milter.sgmllib.SGMLParser.

The documentation for this class was generated from the following file:

- Milter/sgmllib.py